Ticket #42231

adv_best_government() has some government evaluation that should also be applied for the AI

Open Date: 2021-05-11 20:45 Last Update: 2021-05-25 11:56

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

adv_best_government() call to dai_gov_value() sets override to TRUE meaning value evaluated by AI itself should be used. There has been a lot of code added to adv_best_government() that has no equivalent implementation in (or called from) dai_gov_value(), meaning that those evaluations are applicable only for advisor of a human player only (and we don't have such a advisor active, I think).

Ticket History (3/10 Histories)

2021-05-11 20:45 Updated by: cazfi
  • New Ticket "adv_best_government() has some government evaluation that should also be applied for the AI" created
2021-05-12 00:08 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
2021-05-12 05:56 Updated by: chippo
Comment

I applied this patch mostly to check that it didn't do anything wrong. I didn't expect that it would change any behaviour noticeably. It might be that I'm checking more carefully now, or it might be that this patch is encouraging the AIs to choose The Republic more than they used to. Out of 20 AIs, 5 are currently running The Republic, while I feel that 'usually' it would be 1 or 2 (or 0) at this stage.

2021-05-12 19:45 Updated by: cazfi
Comment

Reply To chippo

this patch is encouraging the AIs to choose The Republic more than they used to.

Does it seem like sensible thing for them to do in their current situation? The want values this exposes to AI code can be off by any amount, as they have probably been assumed to be actually used when they have been "tested" to not cause interference, which was a wrong assumption until this patch.

2021-05-13 02:10 Updated by: chippo
Comment

Reply To cazfi

Reply To chippo

this patch is encouraging the AIs to choose The Republic more than they used to.

Does it seem like sensible thing for them to do in their current situation?

Absolutely.

2021-05-25 11:56 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login